/*
 * This file was automatically generated by EvoSuite
 * Thu Jun 23 13:20:40 GMT 2022
 */

package ir.ramtung.impl1;

import ir.ramtung.sts01.LibraryException;
import org.junit.Test;
import static org.junit.Assert.*;
import static org.evosuite.runtime.EvoAssertions.*;
import ir.ramtung.impl1.Member;
import ir.ramtung.impl1.Professor;
import ir.ramtung.impl1.Student;
import org.evosuite.runtime.EvoRunner;
import org.evosuite.runtime.EvoRunnerParameters;
import org.junit.runner.RunWith;

@RunWith(EvoRunner.class) @EvoRunnerParameters(mockJVMNonDeterminism = true, useVFS = true, useVNET = true, resetStaticState = true, separateClassLoader = true, useJEE = true) 
public class Member_ESTest extends Member_ESTest_scaffolding {

  @Test(timeout = 4000)
  public void test0()  throws Throwable  {
      Professor professor0 = new Professor("yxe#1`E&gHK}u~{QQ");
      Student student0 = new Student("yxe#1`E&gHK}u~{QQ", "ir.ramtung.impl1.Student");
      boolean boolean0 = student0.sameAs(professor0);
      assertFalse(boolean0);
  }

  @Test(timeout = 4000)
  public void test1()  throws Throwable  {
      Student student0 = new Student("yxe#1`E&gHK}u~{QQ", "ir.ramtung.impl1.Student");
      boolean boolean0 = student0.isNamed("");
      assertFalse(boolean0);
  }

  @Test(timeout = 4000)
  public void test2()  throws Throwable  {
      Student student0 = new Student("Empty member name not allowed", "Empty member name not allowed");
      student0.prevPenalty = 1;
      int int0 = student0.getPrevPenalty();
      assertEquals(1, int0);
  }

  @Test(timeout = 4000)
  public void test3()  throws Throwable  {
      Professor professor0 = new Professor("yxe#1`E&gHK}u~{QQ");
      professor0.penalize((-2050));
      int int0 = professor0.getPrevPenalty();
      assertEquals((-2050), int0);
  }

  @Test(timeout = 4000)
  public void test4()  throws Throwable  {
      Professor professor0 = new Professor("ir.ramtung.impl1.InvalidArgumentEx");
      // Undeclared exception!
      try { 
        professor0.sameAs((Member) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(Throwable e) {
//          if (!(e instanceof LibraryException)) {
//              fail("Unexpected exception");
//          }
         //
         // no message in exception (getMessage() returned null)
         //
         verifyException("ir.ramtung.impl1.Member", e);
      }
  }

  @Test(timeout = 4000)
  public void test5()  throws Throwable  {
      Student student0 = null;
      try {
        student0 = new Student("$8VuNjjv?`", "");
        fail("Expecting exception: Exception");
      
      } catch(Throwable e) {
          if (!(e instanceof LibraryException)) {
              fail("Unexpected exception");
          }
         //
         // Empty member name not allowed
         //
         verifyException("ir.ramtung.impl1.Member", e);
      }
  }

  @Test(timeout = 4000)
  public void test6()  throws Throwable  {
      Professor professor0 = new Professor("CZqpjU`&{fG");
      int int0 = professor0.getPrevPenalty();
      assertEquals(0, int0);
  }

  @Test(timeout = 4000)
  public void test7()  throws Throwable  {
      Professor professor0 = new Professor("#U(");
      Student student0 = new Student("#U(", "#U(");
      boolean boolean0 = student0.sameAs(professor0);
      assertTrue(boolean0);
  }

  @Test(timeout = 4000)
  public void test8()  throws Throwable  {
      Professor professor0 = new Professor("#U(");
      boolean boolean0 = professor0.isNamed("#U(");
      assertTrue(boolean0);
  }
}
